# Paying in supported tokens

The following code snippet uses etherjs to send ether to the Verified cash contract address.

```javascript
const factoryContract = new FactoryContract(investorWallet);

await factoryContract.getTokenCount()
.then(async(resp)=>{
console.log("Number of tokens returned by factory " + resp.response.result[0]);
num = resp.response.result[0];

for (count=0; count<10; count++){
    await factoryContract.getToken(count)
    .then(async(resp)=>{
        console.log("Token address iterated " + resp.response.result[0]);
        token = resp.response.result[0];
        
        await factoryContract.getNameAndType(token)
        .then(async(resp)=>{
            console.log("Token name " + ethers.utils.parseBytes32String(resp.response.result[0]));
            console.log("Token type " + ethers.utils.parseBytes32String(resp.response.result[1]));

            if(ethers.utils.parseBytes32String(resp.response.result[1])=="ViaCash"){
                if(ethers.utils.parseBytes32String(resp.response.result[0])=="VXUSD")
                    VCUSD = token;
                if(ethers.utils.parseBytes32String(resp.response.result[0])=="VXEUR")
                    VCEUR = token;
            }            
        })
    })
}

const cashUSDInvestor = new CashContract(investorWallet, VCUSD);

await investorWallet.sendTransaction({
    to: VCUSD,
    value: ethers.utils.parseEther('0.01')
}).then(async()=>{
    console.log('Sent some ether for issuing cash tokens');
    cashUSDInvestor.notifyCashIssue(async()=>{
        await cashUSDInvestor.balanceOf(investorWallet.address)
        .then(async(balance)=>{
            console.log("VCUSD balance in investor wallet " + investorWallet.address + " is " + balance.response.result[0]);
        })
    })
})
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.verified.network/reference/verified-sdk/adding-money-to-wallet/paying-in-supported-tokens.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
